Skip to content

Get Static List by Id

GET /rest/asset/v1/staticList/{id}.json

Permissions Read-Asset or Read-Write Asset

Build a request and mock the response

Method: GET
Path: /rest/asset/v1/staticList/{id}.json
Tag: Static Lists
Operation ID: getStaticListByIdUsingGET

Retrieves a Static List record by its id. Required Permissions: Read-Asset or Read-Write Asset

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int64) Yes Id of the static list to retrieve

Example request

GET {{base_url}}/rest/asset/v1/staticList/{{id}}.json
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfStaticListResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "name": "Example name",
      "description": "string",
      "createdAt": "2026-01-15T10:30:00Z",
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com",
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "workspace": "string",
      "computedUrl": "https://example.com"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.